org.keycloak.models.utils

## Class ModelToRepresentation

- java.lang.Object
- - org.keycloak.models.utils.ModelToRepresentation

-     public class ModelToRepresentation
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelToRepresentation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RealmEventsConfigRepresentation` | `toEventsConfigReprensetation(RealmModel realm)`
    `static ApplicationRepresentation` | `toRepresentation(ApplicationModel applicationModel)`
    `static ClaimRepresentation` | `toRepresentation(ClientModel model)`
    `static OAuthClientRepresentation` | `toRepresentation(OAuthClientModel model)`
    `static RealmRepresentation` | `toRepresentation(RealmModel realm, boolean internal)`
    `static RoleRepresentation` | `toRepresentation(RoleModel role)`
    `static SocialLinkRepresentation` | `toRepresentation(SocialLinkModel socialLink)`
    `static CredentialRepresentation` | `toRepresentation(UserCredentialModel cred)`
    `static UserFederationProviderRepresentation` | `toRepresentation(UserFederationProviderModel model)`
    `static UserRepresentation` | `toRepresentation(UserModel user)`
    `static UserSessionRepresentation` | `toRepresentation(UserSessionModel session)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelToRepresentation

          public ModelToRepresentation()

  - ### Method Detail

    - #### toRepresentation

          public static UserRepresentation toRepresentation(UserModel user)

    - #### toRepresentation

          public static RoleRepresentation toRepresentation(RoleModel role)

    - #### toRepresentation

          public static RealmRepresentation toRepresentation(RealmModel realm,
                                             boolean internal)

    - #### toEventsConfigReprensetation

          public static RealmEventsConfigRepresentation toEventsConfigReprensetation(RealmModel realm)

    - #### toRepresentation

          public static CredentialRepresentation toRepresentation(UserCredentialModel cred)

    - #### toRepresentation

          public static ClaimRepresentation toRepresentation(ClientModel model)

    - #### toRepresentation

          public static SocialLinkRepresentation toRepresentation(SocialLinkModel socialLink)

    - #### toRepresentation

          public static UserSessionRepresentation toRepresentation(UserSessionModel session)

    - #### toRepresentation

          public static ApplicationRepresentation toRepresentation(ApplicationModel applicationModel)

    - #### toRepresentation

          public static OAuthClientRepresentation toRepresentation(OAuthClientModel model)

    - #### toRepresentation

          public static UserFederationProviderRepresentation toRepresentation(UserFederationProviderModel model)

Copyright © 2015. All Rights Reserved.